function setmeancolor
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
global mittelwertfarbe mittelwertfarbegroupstatus
if strcmp(get(gco,'style'),'popupmenu')
    
	if get(gco,'Value')==1
        mittelwertfarbe = [0 0 1];
        mittelwertfarbegroupstatus = 0;
	elseif get(gco,'Value')==2
        mittelwertfarbe = [1 0 0];
        mittelwertfarbegroupstatus = 0;
	elseif get(gco,'Value')==3
        mittelwertfarbe = [0 1 0]; 
        mittelwertfarbegroupstatus = 0;   
	elseif get(gco,'Value')==4
        mittelwertfarbe = [0 0 0];
        mittelwertfarbegroupstatus = 0;
	elseif get(gco,'Value')==5
        mittelwertfarbe = [1 1 0];
        mittelwertfarbegroupstatus = 0;
	elseif get(gco,'Value')==6
        mittelwertfarbe = [1 0 1];
        mittelwertfarbegroupstatus = 0;
	elseif get(gco,'Value')==7
        mittelwertfarbe = [0 1 1];
        mittelwertfarbegroupstatus = 0;
	elseif get(gco,'Value')==8
        set(gco,'Style','edit');
        set(gco,'String','');
        return
    elseif get(gco,'Value')==9
        mittelwertfarbe = [-1 -1 -1];
        mittelwertfarbegroupstatus = 1;
    end
        
elseif strcmp(get(gco,'style'),'edit') 
    if ~isempty(get(gco,'String'))
        
        mittelwertfarbe=str2num(get(gco,'String'));
        if size(mittelwertfarbe,1)==1 & size(mittelwertfarbe,2)==1 & mittelwertfarbe == 0
            set(gco,'style','popupmenu');
            set(gco,'string',{'blue';'red';'green';'black';'yellow';'purple';'turquoise';'custom';'group'});
            set(gco,'Value',4);
            mittelwertfarbe = [0 0 0];
            return
        elseif size(mittelwertfarbe,1)~=1 | size(mittelwertfarbe,2)~=3
            uiwait(errordlg('Mittelwertfarbangabe nicht erkannt! Verwende Standardfarbe!'));
            mittelwertfarbe=[0 0 0];
        end
	else
        set(gco,'style','popupmenu');
        set(gco,'string',{'blue';'red';'green';'black';'yellow';'purple';'turquoise';'custom';'group'});
        set(gco,'Value',4);
        mittelwertfarbe = [0 0 0];
        return
	end  
end
    
return
    
   